import { IsObject, IsString } from "class-validator";
import { ValidationModel } from "../../../../../model/validation_model";
import { CalculationModel } from "../../../../../../features/calculation_instance/model/calculation_model";


export class SelectProcessModel extends ValidationModel {
    @IsString()
    type: string = '';
    @IsObject()
    selectProcess?: SelectProcess;
}



export interface SelectProcess {
    value: CalculationModel;
}
 